## vim 7.4.1829

=== src/Makefile ===
# Makefile for Vim on Unix and Unix-like systems	vim:ts=8:sw=8:tw=78
#
# This Makefile is loosely based on the GNU Makefile conventions found in
# standards.info.
#
# Compiling Vim, summary:
#
#	3. make
#	5. make install
#
# Compiling Vim, details:
#
# Edit this file for adjusting to your system. You should not need to edit any
# other file for machine specific things!
# The name of this file MUST be Makefile (note the uppercase 'M').
#
# 1. Edit this Makefile  {{{1
#	The defaults for Vim should work on most machines, but you may want to
#	uncomment some lines or make other changes below to tune it to your
#	system, compiler or preferences.  Uncommenting means that the '#' in
#	the first column of a line is removed.
#	- If you want a version of Vim that is small and starts up quickly,
#	  you might want to disable the GUI, X11, Perl, Python and Tcl.
#	- Uncomment the line with --disable-gui if you have Motif, GTK and/or
#	  Athena but don't want to make gvim (the GUI version of Vim with nice
#	  menus and scrollbars, but makes Vim bigger and startup slower).
#	- Uncomment --disable-darwin if on Mac OS X but you want to compile a
#	  Unix version.
#	- Uncomment the line "CONF_OPT_X = --without-x" if you have X11 but
#	  want to disable using X11 libraries.	This speeds up starting Vim,
#	  but the window title will not be set and the X11 selection can not
#	  be used.
#	- Uncomment the line "CONF_OPT_XSMP = --disable-xsmp" if you have the
#	  X11 Session Management Protocol (XSMP) library (libSM) but do not
#	  want to use it.
#	  This can speedup Vim startup but Vim loses the ability to catch the
#	  user logging out from session-managers like GNOME and work
#	  could be lost.
#	- Uncomment one or more of these lines to include an interface;
#	  each makes Vim quite a bit bigger:
#		--enable-luainterp	for Lua interpreter
#		--enable-mzschemeinterp	for MzScheme interpreter
#		--enable-perlinterp	for Perl interpreter
#		--enable-python3interp	for Python3 interpreter
#		--enable-pythoninterp	for Python interpreter
#		--enable-rubyinterp	for Ruby interpreter
#		--enable-tclinterp	for Tcl interpreter
#		--enable-cscope		for Cscope interface
#	- Uncomment one of the lines with --with-features= to enable a set of
#	  features (but not the interfaces just mentioned).
#	- Uncomment the line with --disable-acl to disable ACL support even
#	  though your system supports it.
#	- Uncomment the line with --disable-gpm to disable gpm support
#	  even though you have gpm libraries and includes.
#	- Uncomment the line with --disable-sysmouse to disable sysmouse
#	  support even though you have /dev/sysmouse and includes.
#	- Uncomment one of the lines with CFLAGS and/or CC if you have
#	  something very special or want to tune the optimizer.
#	- Search for the name of your system to see if it needs anything
#	  special.
#	- A few versions of make use '.include "file"' instead of 'include
#	  file'.  Adjust the include line below if yours does.
#
# 2. Edit feature.h  {{{1
#	Only if you do not agree with the default compile features, e.g.:
#	- you want Vim to be as vi compatible as it can be
#	- you want to use Emacs tags files
#	- you want right-to-left editing (Hebrew)
#	- you want 'langmap' support (Greek)
#	- you want to remove features to make Vim smaller
#
# 3. "make"  {{{1
#	Will first run ./configure with the options in this file. Then it will
#	start make again on this Makefile to do the compiling. You can also do
#	this in two steps with:
#		make config
#		make
#	The configuration phase creates/overwrites auto/config.h and
#	auto/config.mk.
#	The configure script is created with "make autoconf".  It can detect
#	different features of your system and act accordingly.  However, it is
#	not correct for all systems.  Check this:
#	- If you have X windows, but configure could not find it or reported
#	  another include/library directory then you wanted to use, you have
#	  to set CONF_OPT_X below.  You might also check the installation of
#	  xmkmf.
#	- If you have --enable-gui=motif and have Motif on your system, but
#	  configure reports "checking for location of gui... <not found>", you
#	  have to set GUI_INC_LOC and GUI_LIB_LOC below.
#	If you changed something, do this to run configure again:
#		make reconfig
#
#	- If you do not trust the automatic configuration code, then inspect
#	  auto/config.h and auto/config.mk, before starting the actual build
#	  phase. If possible edit this Makefile, rather than auto/config.mk --
#	  especially look at the definition of VIMLOC below. Note that the
#	  configure phase overwrites auto/config.mk and auto/config.h again.
#	- If you get error messages, find out what is wrong and try to correct
#	  it in this Makefile. You may need to do "make reconfig" when you
#	  change anything that configure uses (e.g. switching from an old C
#	  compiler to an ANSI C compiler). Only when auto/configure does
#	  something wrong you may need to change one of the other files. If
#	  you find a clean way to fix the problem, consider sending a note to
#	  the author of autoconf (bug-gnu-utils@prep.ai.mit.edu) or Vim
#	  (Bram@vim.org). Don't bother to do that when you made a hack
#	  solution for a non-standard system.
#
# 4. "make test"  {{{1
#	This is optional.  This will run Vim scripts on a number of test
#	files, and compare the produced output with the expected output.
#	If all is well, you will get the "ALL DONE" message in the end.  If a
#	test fails you get "TEST FAILURE".  See below (search for "/^test").
#
# 5. "make install"  {{{1
#	If the new Vim seems to be working OK you can install it and the
#	documentation in the appropriate location. The default is
#	"/usr/local".  Change "prefix" below to change the location.
#	"auto/pathdef.c" will be compiled again after changing this to make
#	the executable know where the help files are located.
#	Note that any existing executable is removed or overwritten.  If you
#	want to keep it you will have to make a backup copy first.
#	The runtime files are in a different directory for each version.  You
#	might want to delete an older version.
#	If you don't want to install everything, there are other targets:
#		make installvim		only installs Vim, not the tools
#		make installvimbin	only installs the Vim executable
#		make installruntime	installs most of the runtime files
#		make installrtbase	only installs the Vim help and
#							runtime files
#		make installlinks	only installs the Vim binary links
#		make installmanlinks	only installs the Vim manpage links
#		make installmacros	only installs the Vim macros
#		make installpack	only installs the packages
#		make installtutorbin	only installs the Vim tutor program
#		make installtutor	only installs the Vim tutor files
#		make installspell	only installs the spell files
#		make installtools	only installs xxd
#	If you install Vim, not to install for real but to prepare a package
#	or RPM, set DESTDIR to the root of the tree.
#
# 6. Use Vim until a new version comes out.  {{{1
#
# 7. "make uninstall_runtime"  {{{1
#	Will remove the runtime files for the current version.	This is safe
#	to use while another version is being used, only version-specific
#	files will be deleted.
#	To remove the runtime files of another version:
#		make uninstall_runtime VIMRTDIR=/vim54
#	If you want to delete all installed files, use:
#		make uninstall
#	Note that this will delete files that have the same name for any
#	version, thus you might need to do a "make install" soon after this.
#	Be careful not to remove a version of Vim that is still being used!
#	To find out which files and directories will be deleted, use:
#		make -n uninstall
# }}}
#
### This Makefile has been successfully tested on many systems. {{{
### Only the ones that require special options are mentioned here.
### Check the (*) column for remarks, listed below.
### Later code changes may cause small problems, otherwise Vim is supposed to
### compile and run without problems.

#system:	      configurations:		     version (*) tested by:
#-------------	      ------------------------	     -------  -  ----------
#AIX 3.2.5	      cc (not gcc)   -			4.5  (M) Will Fiveash
#AIX 4		      cc	     +X11 -GUI		3.27 (4) Axel Kielhorn
#AIX 4.1.4	      cc	     +X11 +GUI		4.5  (5) Nico Bakker
#AIX 4.2.1	      cc				5.2k (C) Will Fiveash
#AIX 4.3.3.12	      xic 3.6.6				5.6  (5) David R. Favor
#A/UX 3.1.1	      gcc	     +X11		4.0  (6) Jim Jagielski
#BeOS PR	      mwcc DR3				5.0n (T) Olaf Seibert
#BSDI 2.1 (x86)       shlicc2 gcc-2.6.3 -X11 X11R6	4.5  (1) Jos Backus
#BSD/OS 3.0 (x86)     gcc gcc-2.7.2.1 -X11 X11R6	4.6c (1) Jos Backus
#CX/UX 6.2	      cc	     +X11 +GUI_Mofif	5.4  (V) Kipp E. Howard
#DG/UX 5.4*	      gcc 2.5.8      GUI		5.0e (H) Jonas Schlein
#DG/UX 5.4R4.20       gcc 2.7.2      GUI		5.0s (H) Rocky Olive
#HP-UX (most)	      c89 cc				5.1  (2) Bram Moolenaar
#HP-UX_9.04	      cc	     +X11 +Motif	5.0  (2) Carton Lao
#Irix 6.3 (O2)	      cc	     ?			4.5  (L) Edouard Poor
#Irix 6.4	      cc	     ?			5.0m (S) Rick Sayre
#Irix 6.5	      cc	     ?			6.0  (S) David Harrison
#Irix 64 bit						4.5  (K) Jon Wright
#Linux 2.0	      gcc-2.7.2      Infomagic Motif	4.3  (3) Ronald Rietman
#Linux 2.0.31	      gcc	     +X11 +GUI Athena	5.0w (U) Darren Hiebert
#LynxOS 3.0.1	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#LynxOS 3.1.0	      2.9-gnupro-98r2 +X11 +GUI Athena  5.7.1(O) Lorenz Hahn
#NEC UP4800 UNIX_SV 4.2MP  cc	     +X11R6 Motif,Athena4.6b (Q) Lennart Schultz
#NetBSD 1.0A	      gcc-2.4.5      -X11 -GUI		3.21 (X) Juergen Weigert
#QNX 4.2	      wcc386-10.6    -X11		4.2  (D) G.F. Desrochers
#QNX 4.23	      Watcom	     -X11		4.2  (F) John Oleynick
#SCO Unix v3.2.5      cc	     +X11 Motif		3.27 (C) M. Kuperblum
#SCO Open Server 5    gcc 2.7.2.3    +X11 +GUI Motif	5.3  (A) Glauber Ribeiro
#SINIX-N 5.43 RM400 R4000   cc	     +X11 +GUI		5.0l (I) Martin Furter
#SINIX-Z 5.42 i386    gcc 2.7.2.3    +X11 +GUI Motif	5.1  (I) Joachim Fehn
#SINIX-Y 5.43 RM600 R4000  gcc 2.7.2.3 +X11 +GUI Motif	5.1  (I) Joachim Fehn
#Reliant/SINIX 5.44   cc	     +X11 +GUI		5.5a (I) B. Pruemmer
#SNI Targon31 TOS 4.1.11 gcc-2.4.5   +X11 -GUI		4.6c (B) Paul Slootman
#Solaris 2.4 (Sparc)  cc	     +X11 +GUI		3.29 (9) Glauber
#Solaris 2.4/2.5      clcc	     +X11 -GUI openwin	3.20 (7) Robert Colon
#Solaris 2.5 (sun4m)  cc (SC4.0)     +X11R6 +GUI (CDE)	4.6b (E) Andrew Large
#Solaris 2.5	      cc	     +X11 +GUI Athena	4.2  (9) Sonia Heimann
#Solaris 2.5	      gcc 2.5.6      +X11 Motif		5.0m (R) Ant. Colombo
#Solaris 2.6	      gcc 2.8.1      ncurses		5.3  (G) Larry W. Virden
#Solaris with -lthread					5.5  (W) K. Nagano
#Solaris	      gcc				     (b) Riccardo
#SunOS 4.1.x			     +X11 -GUI		5.1b (J) Bram Moolenaar
#SunOS 4.1.3_U1 (sun4c) gcc	     +X11 +GUI Athena	5.0w (J) Darren Hiebert
#SUPER-UX 6.2 (NEC SX-4) cc	     +X11R6 Motif,Athena4.6b (P) Lennart Schultz
#Tandem/NSK                                                  (c) Matthew Woehlke
#Unisys 6035	      cc	     +X11 Motif		5.3  (8) Glauber Ribeiro
#ESIX V4.2	      cc	     +X11		6.0  (a) Reinhard Wobst
#Mac OS X 10.[23]     gcc	     Carbon		6.2  (x) Bram Moolenaar
# }}}

# (*)  Remarks: {{{
#
# (1)  Uncomment line below for shlicc2
# (2)  HPUX with compile problems or wrong digraphs, uncomment line below
# (3)  Infomagic Motif needs GUI_LIB_LOC and GUI_INC_LOC set, see below.
#      And add "-lXpm" to MOTIF_LIBS2.
# (4)  For cc the optimizer must be disabled (use CFLAGS= after running
#      configure) (symptom: ":set termcap" output looks weird).
# (5)  Compiler may need extra argument, see below.
# (6)  See below for a few lines to uncomment
# (7)  See below for lines which enable the use of clcc
# (8)  Needs some EXTRA_LIBS, search for Unisys below
# (9)  Needs an extra compiler flag to compile gui_at_sb.c, see below.
# (A)  May need EXTRA_LIBS, see below
# (B)  Can't compile GUI because there is no waitpid()...  Disable GUI below.
# (C)  Force the use of curses instead of termcap, see below.

=== debian/changelog ===
vim (2:7.4.1829-1) unstable; urgency=medium

  * Merge upstream tag v7.4.1829
    + 7.4.1713: Force use of X11 backend under Wayland.  (Closes: #819954)
    + 7.4.1802: Improve handling of long lines in quickfix lists.  (Closes:
      #815976)
    + LogiPat plugin's :ELP command renamed to :LPE, so it doesn't shadow :E.
      (Closes: #796075)

 -- James McCoy <jamessan@debian.org>  Mon, 09 May 2016 23:06:14 -0400

=== debian/control ===
Source: vim
Section: editors
Priority: optional
Maintainer: Debian Vim Maintainers <pkg-vim-maintainers@lists.alioth.debian.org>
Uploaders: James McCoy <jamessan@debian.org>
Standards-Version: 3.9.7
Build-Depends: libacl1-dev, libgpmg1-dev [linux-any], autoconf,
# Building Vim's svg icons
 pdf2svg, ghostscript,
 debhelper (>= 9), libtinfo-dev | libncurses5-dev, libselinux1-dev [linux-any],
# B-D for dpkg-vendor
 dpkg-dev (>= 1.15.1),
# B-D for GUI support
 libgtk2.0-dev, libgtk-3-dev, libxaw7-dev, libxt-dev, libxpm-dev, libgnomeui-dev,
# B-D for language interpreters
# Update d/rules when ruby version changes
 libperl-dev, tcl-dev, python-dev, ruby, ruby-dev, lua5.2, liblua5.2-dev
# ruby1.8{,-dev} Provides: ruby{,-dev} which can cause breakage on buildds if
# ruby/ruby1.8-dev or ruby1.8/ruby-dev pairs get installed due to a mismatch in
# the ruby binary version and the library version
Build-Conflicts: ruby1.8 (<< 1.8.7.358-8), ruby1.8-dev (<< 1.8.7.358-8), autoconf2.13
Build-Depends-Indep: docbook-xml, docbook-utils
Vcs-Git: https://anonscm.debian.org/cgit/pkg-vim/vim.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/vim.git
Homepage: http://www.vim.org/

Package: vim-common
Priority: important
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: vim | vim-gnome | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny
# Move vim icon from vim-gui-common to vim-common
Breaks: vim-gui-common (<< 2:7.4.488-4~)
Replaces: vim-gui-common (<< 2:7.4.488-4~)
Description: Vi IMproved - Common files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains files shared by all non GUI-enabled vim variants
 available in Debian.  Examples of such shared files are: manpages,
 common executables like xxd, and configuration files.

Package: vim-gui-common
Architecture: all
Multi-Arch: foreign
Recommends: vim-gnome | vim-gtk | vim-gtk3 | vim-athena
Depends: ${misc:Depends}
Description: Vi IMproved - Common GUI files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains files shared by all GUI-enabled vim
 variants available in Debian.  Examples of such shared files are:
 gvimtutor, icons, and desktop environments settings.

Package: vim-runtime
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
# Upgrades across major versions need to update vim-tiny first, otherwise
# vim-runtime's removal of the old diversions will fail
Breaks: vim-tiny (<< ${source:Version})
Recommends: vim | vim-gnome | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny
Enhances: vim-tiny
Description: Vi IMproved - Runtime files
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains vimtutor and the architecture independent runtime
 files, used, if available, by all vim variants available in Debian.
 Example of such runtime files are: online documentation, rules for
 language-specific syntax highlighting and indentation, color schemes,
 and standard plugins.

Package: vim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Vi IMproved - HTML documentation
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains the HTML version of the online documentation.  It is
 built from the runtime/doc directory of the source tree.

Package: vim-tiny
Priority: important
Architecture: any
Depends: vim-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
# Vim automatically invokes the indent program if it isn't built with internal
# indenting support (as is the case with vim-tiny) and the 'equalprg' option
# isn't set.
Suggests: indent
Provides: editor
Description: Vi IMproved - enhanced vi editor - compact version
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 This package contains a minimal version of Vim compiled with no GUI and
 a small subset of features. This package's sole purpose is to provide
 the vi binary for base installations.
 .
 If a vim binary is wanted, try one of the following more featureful
 packages: vim, vim-nox, vim-athena, vim-gtk, vim-gtk3, or vim-gnome.

Package: vim
Architecture: any
Depends: vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: ctags, vim-doc, vim-scripts
Provides: editor
Description: Vi IMproved - enhanced vi editor
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a rather
 standard set of features.  This package does not provide a GUI
 version of Vim.  See the other vim-* packages if you need more
 (or less).

Package: vim-gtk
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc, fonts-dejavu, gnome-icon-theme
Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
Description: Vi IMproved - enhanced vi editor - with GTK2 GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a GTK2 GUI
 and support for scripting with Lua, Perl, Python, Ruby, and Tcl.

Package: vim-gtk3
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc, fonts-dejavu, gnome-icon-theme
Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
Description: Vi IMproved - enhanced vi editor - with GTK3 GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a GTK3 GUI
 and support for scripting with Lua, Perl, Python, Ruby, and Tcl.

Package: vim-nox
Priority: extra
Architecture: any
Depends: vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc
Provides: vim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
Description: Vi IMproved - enhanced vi editor - with scripting languages support
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with support for
 scripting with Lua, Perl, Python, Ruby, and Tcl but no GUI.

Package: vim-athena
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc
Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
Description: Vi IMproved - enhanced vi editor - with Athena GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a Athena GUI
 and support for scripting with Lua, Perl, Python, Ruby, and Tcl.

Package: vim-gnome
Priority: extra
Architecture: any
Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: cscope, vim-doc, fonts-dejavu, gnome-icon-theme
Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
Description: Vi IMproved - enhanced vi editor - with GNOME2 GUI
 Vim is an almost compatible version of the UNIX editor Vi.
 .
 Many new features have been added: multi level undo, syntax
 highlighting, command line history, on-line help, filename
 completion, block operations, folding, Unicode support, etc.
 .
 This package contains a version of vim compiled with a GNOME2 GUI
 and support for scripting with Lua, Perl, Python, Ruby, and Tcl.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

# Upstream handles the _FORTIFY_SOURCE flag on their own
DEB_BUILD_MAINT_OPTIONS=hardening=+all,-fortify

ifneq (,$(wildcard /usr/share/dpkg/default.mk))
  include /usr/share/dpkg/default.mk
else
  DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
  DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
  DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
  DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
  DEB_VENDOR := $(shell dpkg-vendor --query vendor)

  CFLAGS := -Wall -g
  ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O0
  else
    CFLAGS += -O2
  endif

  DEB_VERSION_UPSTREAM := $(shell dpkg-parsechangelog -SVersion)
endif

BUILDER := pkg-vim-maintainers@lists.alioth.debian.org

MAKETEST := no
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKETEST := yes
  endif
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

CFGFLAGS := --prefix=/usr --mandir='$${prefix}'/share/man --without-local-dir
CFGFLAGS += --with-modified-by="$(BUILDER)"
CFGFLAGS += --with-compiledby="$(BUILDER)"
CFGFLAGS += --enable-fail-if-missing

TINYFLAGS:=--with-features=small
TINYFLAGS+=--disable-gui
TINYFLAGS+=--disable-xsmp
TINYFLAGS+=--disable-xsmp-interact
TINYFLAGS+=--disable-netbeans
TINYFLAGS+=--disable-gpm
TINYFLAGS+=--enable-nls
TINYFLAGS+=--enable-multibyte
TINYFLAGS+=--enable-acl

OPTFLAGS:=--enable-cscope
ifeq ($(DEB_HOST_ARCH_OS),linux)
    OPTFLAGS+=--enable-gpm
    OPTFLAGS+=--enable-selinux --disable-smack
    TINYFLAGS+=--enable-selinux --disable-smack
else
    OPTFLAGS+=--disable-gpm
endif
OPTFLAGS+=--with-features=huge
OPTFLAGS+=--enable-multibyte
OPTFLAGS+=--enable-acl

NOXFLAGS:=--without-x
NOXFLAGS+=--enable-gui=no

GUIFLAGS:=--with-x
GUIFLAGS+=--enable-xim

GTK2FLAGS:=--enable-gui=gtk2
GTK2FLAGS+=--enable-gtk2-check
GTK2FLAGS+=--disable-gnome-check
GTK2FLAGS+=--disable-motif-check
GTK2FLAGS+=--disable-athena-check
GTK2FLAGS+=--disable-fontset

GTK3FLAGS:=--enable-gui=gtk3
GTK3FLAGS+=--enable-gtk3-check
GTK3FLAGS+=--disable-gnome-check
GTK3FLAGS+=--disable-motif-check
GTK3FLAGS+=--disable-athena-check
GTK3FLAGS+=--disable-fontset

GNOMEFLAGS:=--enable-gui=gnome2
GNOMEFLAGS+=--disable-gtk2-check
GNOMEFLAGS+=--enable-gnome-check
GNOMEFLAGS+=--disable-motif-check
GNOMEFLAGS+=--disable-athena-check
GNOMEFLAGS+=--disable-fontset

ATHENAFLAGS:=--enable-gui=athena
ATHENAFLAGS+=--disable-gtk2-check
ATHENAFLAGS+=--disable-gtk3-check
ATHENAFLAGS+=--disable-gnome-check
ATHENAFLAGS+=--disable-motif-check
ATHENAFLAGS+=--enable-athena-check
ATHENAFLAGS+=--enable-fontset

NOINTERPFLAGS:=--disable-luainterp
NOINTERPFLAGS+=--disable-mzschemeinterp
NOINTERPFLAGS+=--disable-perlinterp
ifeq ($(DEB_VENDOR),Ubuntu)
	NOINTERPFLAGS+=--enable-pythoninterp --with-python-config-dir=$(shell python-config --configdir)
else
	NOINTERPFLAGS+=--disable-pythoninterp
endif
NOINTERPFLAGS+=--disable-python3interp
NOINTERPFLAGS+=--disable-rubyinterp
NOINTERPFLAGS+=--disable-tclinterp

ALLINTERPFLAGS:=--enable-luainterp
ALLINTERPFLAGS+=--disable-mzschemeinterp
ALLINTERPFLAGS+=--enable-perlinterp
ALLINTERPFLAGS+=--enable-pythoninterp --with-python-config-dir=$(shell python-config --configdir)
ALLINTERPFLAGS+=--disable-python3interp
ALLINTERPFLAGS+=--enable-rubyinterp
ALLINTERPFLAGS+=--enable-tclinterp
ALLINTERPFLAGS+=--with-tclsh=/usr/bin/tclsh

# Each vim-xxx package is said to be a vim variant and contains only a vim
# binary built with some compile-time options. Makefile VARIANTS below are
# one-to-one with those packages with the exception of "vim-basic". In this
# Makefile vim-basic is used to build 4 packages: "vim", "vim-runtime",
# "vim-common", "vim-gui-common". "vim-tiny" is the only variant package not
# depending on vim-runtime.

VARIANTS+=vim-tiny
VARIANTS+=vim-gtk
VARIANTS+=vim-gtk3
VARIANTS+=vim-gnome
VARIANTS+=vim-athena
VARIANTS+=vim-nox
VARIANTS+=vim-basic

ifeq ($(origin VARIANT), command line)
	VARIANTS = $(VARIANT) vim-basic
endif

CFLAGS_vim-basic:=$(CFLAGS)
CFGFLAGS_vim-basic:=$(CFGFLAGS) $(OPTFLAGS) $(NOXFLAGS) $(NOINTERPFLAGS)

CFLAGS_vim-tiny:=$(CFLAGS) -DTINY_VIMRC
CFGFLAGS_vim-tiny:=$(CFGFLAGS) $(TINYFLAGS)

CFLAGS_vim-gtk:=$(CFLAGS)
CFGFLAGS_vim-gtk:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GTK2FLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-gtk3:=$(CFLAGS)
CFGFLAGS_vim-gtk3:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GTK3FLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-gnome:=$(CFLAGS)
CFGFLAGS_vim-gnome:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GNOMEFLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-athena:=$(CFLAGS)
CFGFLAGS_vim-athena:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(ATHENAFLAGS) $(ALLINTERPFLAGS)

CFLAGS_vim-nox:=$(CFLAGS)
CFGFLAGS_vim-nox:=$(CFGFLAGS) $(OPTFLAGS) $(NOXFLAGS) $(ALLINTERPFLAGS)

NAME:=vim
# Convert x.y.z to x.y
VERSION:=$(basename $(DEB_VERSION_UPSTREAM))
VIMCUR:=$(NAME)$(subst .,,$(VERSION))
PER_VARIANT_FILES := install postinst prerm links lintian-overrides
LANGS := fr it pl ru ja

DOT_IN_DEPS := debian/vim-common.install
DOT_IN_DEPS += debian/vim-common.links
DOT_IN_DEPS += debian/vim-gui-common.install
DOT_IN_DEPS += debian/vim-gui-common.links
DOT_IN_DEPS += debian/vim-runtime.install
DOT_IN_DEPS += debian/vim-runtime.links
DOT_IN_DEPS += debian/vim-runtime.postrm
DOT_IN_DEPS += debian/vim-runtime.preinst
DOT_IN_DEPS += debian/runtime/debian.vim
DOT_IN_DEPS_TINY := debian/tiny/vimrc.tiny

# nothing to do per default
all: 

update-changelog:
	dh_testdir
	wget -O debian/changelog.upstream http://ftp.vim.org/pub/vim/patches/$(VERSION)/README

clean: $(foreach v,$(VARIANTS),clean-$(v))
	dh_testdir
	dh_testroot
	rm -f extract-stamp* build-stamp* install-stamp* configure-stamp* autoconf-stamp
	rm -f debian/helpztags.1
	rm -rf debian/policy/vim-policy.html
	rm -f debian/policy/vim-policy.txt
	rm -f debian/tmplogo.*
	[ ! -f src/auto/config.cache ] || make distclean
	rm -f src/auto/config.mk src/pixmaps src/runtime
	[ ! -f debian/configure.dist ] || mv debian/configure.dist src/auto/configure
	rm -f src/auto/config.h
	rm -f runtime/doc/doctags runtime/doc/tags.ref
	rm -f runtime/doc/*.html runtime/doc/*.log
	dh_clean

clean-vim-basic:
	dh_testdir
	dh_testroot
	for x in $(PER_VARIANT_FILES) ; do \
	  rm -f debian/vim.$$x ; \
	done
	[ ! -L src/vim-basic/po ] || $(MAKE) -C src/vim-basic/po clean
	rm -f $(DOT_IN_DEPS)
	rm -rf src/vim-basic

clean-%: SHADOWDIR=$*
clean-%:
	dh_testdir
	dh_testroot
	for x in $(PER_VARIANT_FILES) ; do \
	  rm -f debian/$*.$$x ; \
	done
	if [ "$*" = "vim-tiny" ]; then \
	  rm -f $(DOT_IN_DEPS_TINY); \
	fi
	rm -rf src/$(SHADOWDIR)

build: build-stamp-arch

build-indep: build-stamp-indep
build-stamp-indep: export DH_OPTIONS=-pvim-doc
build-stamp-indep: src/auto/config.mk
	dh_testdir
	dh_prep
	$(MAKE) -C runtime/doc html
	$(MAKE) -C debian/policy text html
	$(MAKE) -C src/po vim.pot
	touch $@

build-arch: build-stamp-arch
build-stamp-arch: $(foreach v,$(VARIANTS),build-stamp-$(v))
	dh_testdir
	touch $@

autoconf-stamp:
	dh_testdir
	[ -f debian/configure.dist ] || cp src/auto/configure debian/configure.dist
# The autoconf target generates a new configure, and touches some other
# configure-related things.  Need to run distclean afterward or timestamps
# will be off and the next make that runs will think it needs to run
# configure.  This breaks parallel builds since two configures are being run
# in the same directory at the same time instead of in their own shadow
# directories.
	$(MAKE) -C src autoconf
	$(MAKE) distclean
	touch $@

# As of 7.3.122, src/auto/config.mk is generated by copying src/config.mk.dist
# but src/Makefile depends on its existence and will automatically run
# configure if it doesn't.  So, to not break parallel building (multiple

## vim 8.0.0003

=== debian/changelog ===
vim (2:8.0.0003-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Tue, 20 Sep 2016 16:08:43 -0400

vim (2:8.0.0003-1) unstable; urgency=medium

  [ upstream ]
  * Vim 8 released!
  * v8.0.0003: Fix test failures on big-endian architectures.

 -- James McCoy <jamessan@debian.org>  Mon, 12 Sep 2016 21:54:12 -0400

vim (2:7.4.2347-1) unstable; urgency=medium

  [ upstream ]
  * Fix test failure due to relying on modelines.  (Closes: #837130)

  [ James McCoy ]
  * Move xxd into its own package.  This allows other packages to express a
    relationship on xxd itself, rather than vim-common, and also enables
    turning vim-common into an Arch: all package.
  * Remove dpkg-dev Build-Depends, since the version is satisifed prior to
    oldstable.

 -- James McCoy <jamessan@debian.org>  Sat, 10 Sep 2016 23:35:08 -0400

vim (2:7.4.2330-1) unstable; urgency=medium

  [ upstream ]
  * Highlighted changes:
    + 7.4.1976: Support 64-bit number variables in VimL.  Use has('num64') to
      test for presence of the functionality.  (Closes: #788055)
    + runtime/ftplugin/man.vim:
      - Use the width of the current window when formatting a man page.
        (Closes: #827634)
    + runtime/syntax/rst.vim:
      - Use underline for emphasized text.  (Closes: #547537)
    + runtime/tutor/tutor.es:
      - Fix misspelling of seguido.  (Closes: #834336)

  [ James McCoy ]
  * Switch from Python2 to Python3 language bindings.  All packaged
    addons which use Python support both 2 & 3.  (Closes: #729924)
  * Add mips64el as a recognized architecture in debcontrol files.  Thanks to
    Reiner Herrmann for the patch.  (Closes: #830545)
  * Update supported Ubuntu releases in debsources files.
  * Remove vim-gnome (which uses deprecated gnome2 libraries) in favor of
    vim-gtk3.  (Closes: #820239)
  * Run tests during build targets to avoid test failures related to running
    as (fake)root.

 -- James McCoy <jamessan@debian.org>  Wed, 07 Sep 2016 22:12:11 -0400

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,28 @@
 Uploaders: James McCoy <jamessan@debian.org>
 Standards-Version: 3.9.7
 Build-Depends: libacl1-dev, libgpmg1-dev [linux-any], autoconf,
-# Building Vim's svg icons
- pdf2svg, ghostscript,
  debhelper (>= 9), libtinfo-dev | libncurses5-dev, libselinux1-dev [linux-any],
-# B-D for dpkg-vendor
- dpkg-dev (>= 1.15.1),
 # B-D for GUI support
- libgtk2.0-dev, libgtk-3-dev, libxaw7-dev, libxt-dev, libxpm-dev, libgnomeui-dev,
+ libgtk2.0-dev, libgtk-3-dev, libxaw7-dev, libxt-dev, libxpm-dev,
 # B-D for language interpreters
 # Update d/rules when ruby version changes
- libperl-dev, tcl-dev, python-dev, ruby, ruby-dev, lua5.2, liblua5.2-dev
+ libperl-dev, tcl-dev, python3-dev, ruby, ruby-dev, lua5.2, liblua5.2-dev
 # ruby1.8{,-dev} Provides: ruby{,-dev} which can cause breakage on buildds if
 # ruby/ruby1.8-dev or ruby1.8/ruby-dev pairs get installed due to a mismatch in
 # the ruby binary version and the library version
 Build-Conflicts: ruby1.8 (<< 1.8.7.358-8), ruby1.8-dev (<< 1.8.7.358-8), autoconf2.13
-Build-Depends-Indep: docbook-xml, docbook-utils
+Build-Depends-Indep: docbook-xml, docbook-utils,
+# Building Vim's svg icons
+ pdf2svg, ghostscript
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-vim/vim.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-vim/vim.git
 Homepage: http://www.vim.org/
 
 Package: vim-common
 Priority: important
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: vim | vim-gnome | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny
+Architecture: all
+Depends: xxd, ${misc:Depends}, ${shlibs:Depends}
+Recommends: vim | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny
 # Move vim icon from vim-gui-common to vim-common
 Breaks: vim-gui-common (<< 2:7.4.488-4~)
 Replaces: vim-gui-common (<< 2:7.4.488-4~)
@@ -36,13 +34,13 @@
  Vim is an almost compatible version of the UNIX editor Vi.
  .
  This package contains files shared by all non GUI-enabled vim variants
- available in Debian.  Examples of such shared files are: manpages,
- common executables like xxd, and configuration files.
+ available in Debian.  Examples of such shared files are: manpages and
+ configuration files.
 
 Package: vim-gui-common
 Architecture: all
 Multi-Arch: foreign
-Recommends: vim-gnome | vim-gtk | vim-gtk3 | vim-athena
+Recommends: vim-gtk | vim-gtk3 | vim-athena
 Depends: ${misc:Depends}
 Description: Vi IMproved - Common GUI files
  Vim is an almost compatible version of the UNIX editor Vi.
@@ -58,7 +56,7 @@
 # Upgrades across major versions need to update vim-tiny first, otherwise
 # vim-runtime's removal of the old diversions will fail
 Breaks: vim-tiny (<< ${source:Version})
-Recommends: vim | vim-gnome | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny
+Recommends: vim | vim-gtk | vim-gtk3 | vim-athena | vim-nox | vim-tiny
 Enhances: vim-tiny
 Description: Vi IMproved - Runtime files
  Vim is an almost compatible version of the UNIX editor Vi.
@@ -82,7 +80,7 @@
 Package: vim-tiny
 Priority: important
 Architecture: any
-Depends: vim-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: vim-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 # Vim automatically invokes the indent program if it isn't built with internal
 # indenting support (as is the case with vim-tiny) and the 'equalprg' option
 # isn't set.
@@ -96,11 +94,11 @@
  the vi binary for base installations.
  .
  If a vim binary is wanted, try one of the following more featureful
- packages: vim, vim-nox, vim-athena, vim-gtk, vim-gtk3, or vim-gnome.
+ packages: vim, vim-nox, vim-athena, vim-gtk, or vim-gtk3.
 
 Package: vim
 Architecture: any
-Depends: vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: vim-common (= ${source:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: ctags, vim-doc, vim-scripts
 Provides: editor
 Description: Vi IMproved - enhanced vi editor
@@ -118,7 +116,7 @@
 Package: vim-gtk
 Priority: extra
 Architecture: any
-Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: vim-gui-common (= ${source:Version}), vim-common (= ${source:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: cscope, vim-doc, fonts-dejavu, gnome-icon-theme
 Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
 Description: Vi IMproved - enhanced vi editor - with GTK2 GUI
@@ -134,7 +132,7 @@
 Package: vim-gtk3
 Priority: extra
 Architecture: any
-Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: vim-gui-common (= ${source:Version}), vim-common (= ${source:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: cscope, vim-doc, fonts-dejavu, gnome-icon-theme
 Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
 Description: Vi IMproved - enhanced vi editor - with GTK3 GUI
@@ -150,7 +148,7 @@
 Package: vim-nox
 Priority: extra
 Architecture: any
-Depends: vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: vim-common (= ${source:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: cscope, vim-doc
 Provides: vim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
 Description: Vi IMproved - enhanced vi editor - with scripting languages support
@@ -166,7 +164,7 @@
 Package: vim-athena
 Priority: extra
 Architecture: any
-Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: vim-gui-common (= ${source:Version}), vim-common (= ${source:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: cscope, vim-doc
 Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
 Description: Vi IMproved - enhanced vi editor - with Athena GUI
@@ -181,16 +179,19 @@
 
 Package: vim-gnome
 Priority: extra
+Architecture: all
+Depends: vim-gtk3, ${misc:Depends}
+Section: oldlibs
+Description: Vi IMproved - enhanced vi editor (dummy package)
+ This is a transitional package to install the vim-gtk3 package.  You may
+ remove this package if nothing depends on it.
+
+Package: xxd
+Priority: extra
 Architecture: any
-Depends: vim-gui-common (= ${source:Version}), vim-common (= ${binary:Version}), vim-runtime (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Suggests: cscope, vim-doc, fonts-dejavu, gnome-icon-theme
-Provides: vim, gvim, editor, vim-perl, vim-python, vim-ruby, vim-tcl, vim-lua
-Description: Vi IMproved - enhanced vi editor - with GNOME2 GUI
- Vim is an almost compatible version of the UNIX editor Vi.
- .
- Many new features have been added: multi level undo, syntax
- highlighting, command line history, on-line help, filename
- completion, block operations, folding, Unicode support, etc.
- .
- This package contains a version of vim compiled with a GNOME2 GUI
- and support for scripting with Lua, Perl, Python, Ruby, and Tcl.
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: vim-common (<< 2:7.4.2347-1~)
+Replaces: vim-common (<< 2:7.4.2347-1~)
+Description: tool to make (or reverse) a hex dump
+ xxd creates a hex dump of a given file or standard input.  It can also convert
+ a hex dump back to its original binary form.

=== debian/rules ===
--- 
+++ 
@@ -87,13 +87,6 @@
 GTK3FLAGS+=--disable-athena-check
 GTK3FLAGS+=--disable-fontset
 
-GNOMEFLAGS:=--enable-gui=gnome2
-GNOMEFLAGS+=--disable-gtk2-check
-GNOMEFLAGS+=--enable-gnome-check
-GNOMEFLAGS+=--disable-motif-check
-GNOMEFLAGS+=--disable-athena-check
-GNOMEFLAGS+=--disable-fontset
-
 ATHENAFLAGS:=--enable-gui=athena
 ATHENAFLAGS+=--disable-gtk2-check
 ATHENAFLAGS+=--disable-gtk3-check
@@ -106,7 +99,7 @@
 NOINTERPFLAGS+=--disable-mzschemeinterp
 NOINTERPFLAGS+=--disable-perlinterp
 ifeq ($(DEB_VENDOR),Ubuntu)
-	NOINTERPFLAGS+=--enable-pythoninterp --with-python-config-dir=$(shell python-config --configdir)
+	NOINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
 else
 	NOINTERPFLAGS+=--disable-pythoninterp
 endif
@@ -117,8 +110,8 @@
 ALLINTERPFLAGS:=--enable-luainterp
 ALLINTERPFLAGS+=--disable-mzschemeinterp
 ALLINTERPFLAGS+=--enable-perlinterp
-ALLINTERPFLAGS+=--enable-pythoninterp --with-python-config-dir=$(shell python-config --configdir)
-ALLINTERPFLAGS+=--disable-python3interp
+ALLINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
+ALLINTERPFLAGS+=--disable-pythoninterp
 ALLINTERPFLAGS+=--enable-rubyinterp
 ALLINTERPFLAGS+=--enable-tclinterp
 ALLINTERPFLAGS+=--with-tclsh=/usr/bin/tclsh
@@ -133,7 +126,6 @@
 VARIANTS+=vim-tiny
 VARIANTS+=vim-gtk
 VARIANTS+=vim-gtk3
-VARIANTS+=vim-gnome
 VARIANTS+=vim-athena
 VARIANTS+=vim-nox
 VARIANTS+=vim-basic
@@ -153,9 +145,6 @@
 
 CFLAGS_vim-gtk3:=$(CFLAGS)
 CFGFLAGS_vim-gtk3:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GTK3FLAGS) $(ALLINTERPFLAGS)
-
-CFLAGS_vim-gnome:=$(CFLAGS)
-CFGFLAGS_vim-gnome:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(GNOMEFLAGS) $(ALLINTERPFLAGS)
 
 CFLAGS_vim-athena:=$(CFLAGS)
 CFGFLAGS_vim-athena:=$(CFGFLAGS) $(OPTFLAGS) $(GUIFLAGS) $(ATHENAFLAGS) $(ALLINTERPFLAGS)
@@ -239,8 +228,15 @@
 	touch $@
 
 build-arch: build-stamp-arch
-build-stamp-arch: $(foreach v,$(VARIANTS),build-stamp-$(v))
-	dh_testdir
+build-stamp-arch: build-stamp-xxd $(foreach v,$(VARIANTS),build-stamp-$(v))
+	dh_testdir
+	touch $@
+
+build-stamp-xxd: export DH_OPTIONS=-pxxd
+build-stamp-xxd: build-stamp-vim-basic
+	dh_testdir
+	dh_prep
+	$(MAKE) -C src/vim-basic xxd/xxd
 	touch $@
 
 autoconf-stamp:
@@ -259,3 +255,7 @@
 # As of 7.3.122, src/auto/config.mk is generated by copying src/config.mk.dist
 # but src/Makefile depends on its existence and will automatically run
 # configure if it doesn't.  So, to not break parallel building (multiple
+# top-level configure instances running at once explode, as mentioned in
+# autoconf-stamp target), we need to ensure src/auto/config.mk exists before
+# running configure.
+src/auto/config.mk:

## vim 8.0.0095

=== debian/changelog ===
vim (2:8.0.0095-1ubuntu3) zesty; urgency=medium

  * debian/patches/ubuntu-mouse-off.patch: Revert enabling mouse mode by
    default in defaults.vim, breaks in chroots/containers (LP: #1661691)
  * debian/rules: Fix merge error that regressed python3 support in vim.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Mar 2017 06:13:35 -0600

vim (2:8.0.0095-1ubuntu2) zesty; urgency=medium

  * ubuntu-series-support.patch: Drop vivid and wily from supported list.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Dec 2016 03:03:48 -0700

vim (2:8.0.0095-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable (LP: #1647105).  Remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/rules: explicitly set TERM to xterm for testsuite to avoid
    failures.
  * Drop python2 variants.

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 03 Dec 2016 17:50:49 -0500

vim (2:8.0.0095-1) unstable; urgency=high

  * Merge upstream tag v8.0.0095
    + 8.0.0056: Only allow valid characters in 'filetype', 'syntax' and
      'keymap'.  (CVE-2016-1248)
    + 8.0.0089: Fix problems with Gtk 3.22.2. This replaces the proposed
      patches applied earlier.  (#842070)

 -- James McCoy <jamessan@debian.org>  Tue, 22 Nov 2016 13:23:07 -0500

vim (2:8.0.0049-1) unstable; urgency=medium

  * Merge upstream tag v8.0.0049
    + 8.0.0038: Define OPEN_CHR_FILES for kFreeBSD to fix Test_read_fifo_utf8
      test failure.  (Part of #827319)
  * Disable Perl bindings for kfreebsd-* until #827319 is resolved since the
    FTBFS was blocking bootstrapping of kfreebsd systems.
  * Add Zesty Zapus to deb{changelog,sources} syntax files
  * Cherry-pick two proposed patches to fix vim-gtk3's widget sizing, while
    upstream Vim and Gtk figure out what the right fix is.  (Related to
    #842070)

 -- James McCoy <jamessan@debian.org>  Sat, 12 Nov 2016 13:17:06 -0500

vim (2:8.0.0022-1) unstable; urgency=medium

  * syntax/debsources: Recognize https URLs.  Thanks to Joe Stein for the
    patch!
  * Add information about defaults.vim to NEWS.Debian and /etc/vim/vimrc.
    (Closes: #837761)
  * Update vim-tiny patch to not source defaults.vim when vim.tiny is invoked
    as vi.
  * Bump priority of vim-tiny's vi alternative, so it's higher than e3vi.
    (Closes: #839265)

 -- James McCoy <jamessan@debian.org>  Tue, 04 Oct 2016 23:34:23 -0400

vim (2:7.4.1829-1ubuntu4) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:40:33 +0100

vim (2:7.4.1829-1ubuntu3) zesty; urgency=medium

  * debian/patches/ubuntu-releases.patch: Drop wily support, add zesty.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 19 Oct 2016 11:28:28 -0600

vim (2:7.4.1829-1ubuntu2) yakkety; urgency=medium

  * Explicitly set TERM to xterm for testsuite to avoid failures.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jun 2016 01:39:04 -0600

vim (2:7.4.1829-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
    - debian/patches/debian/ubuntu-releases.patch:
      + Properly drop vivid to unsupported.
    - debian/rules: Stop ignoring failures from flaky test86.
    - Build using Python3.
    - Build python2 variants for gtk, gtk3, gnome, athena, nox.
  * debian/rules: Specify python3 setup correctly (LP: #1574897)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Jun 2016 02:28:16 -0600

vim (2:7.4.1689-3ubuntu2) yakkety; urgency=medium

  * debian/patches/ubuntu-releases.patch: Add yakkety support, plus fixups.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 22 Apr 2016 01:27:24 -0600

=== debian/rules ===
--- 
+++ 
@@ -100,16 +100,24 @@
 NOINTERPFLAGS+=--disable-perlinterp
 ifeq ($(DEB_VENDOR),Ubuntu)
 	NOINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
-else
 	NOINTERPFLAGS+=--disable-pythoninterp
-endif
-NOINTERPFLAGS+=--disable-python3interp
+else
+	NOINTERPFLAGS+=--disable-pythoninterp
+	NOINTERPFLAGS+=--disable-python3interp
+endif
 NOINTERPFLAGS+=--disable-rubyinterp
 NOINTERPFLAGS+=--disable-tclinterp
 
 ALLINTERPFLAGS:=--enable-luainterp
 ALLINTERPFLAGS+=--disable-mzschemeinterp
-ALLINTERPFLAGS+=--enable-perlinterp
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+  # Until #827319 is resolved
+  ALLINTERPFLAGS+=--disable-perlinterp
+  PERL_SUBSTVAR=
+else
+  ALLINTERPFLAGS+=--enable-perlinterp
+  PERL_SUBSTVAR=-Vvim:Perl-Provides=vim-perl
+endif
 ALLINTERPFLAGS+=--enable-python3interp --with-python3-config-dir=$(shell python3-config --configdir)
 ALLINTERPFLAGS+=--disable-pythoninterp
 ALLINTERPFLAGS+=--enable-rubyinterp
@@ -254,8 +262,3 @@
 
 # As of 7.3.122, src/auto/config.mk is generated by copying src/config.mk.dist
 # but src/Makefile depends on its existence and will automatically run
-# configure if it doesn't.  So, to not break parallel building (multiple
-# top-level configure instances running at once explode, as mentioned in
-# autoconf-stamp target), we need to ensure src/auto/config.mk exists before
-# running configure.
-src/auto/config.mk:
